%define	name	hddtemp		
%define	version 0.3 
%define betarel beta12
%define	release 0.%{betarel}.2mdk

Summary:	Hard Drive Temperature Monitoring	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring	
URL:		http://www.guzu.net/linux/hddtemp.php
Source0:	http://www.guzu.net/linux/%{name}-%{version}-%{betarel}.tar.bz2
Source1:	http://www.guzu.net/linux/hddtemp.db
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	%{name}.pam
Source5:	%{name}.consoleapp
PreReq:		rpm-helper
Requires:	usermode-consoleonly
Buildrequires:	gettext perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
hddtemp is a tool that gives you the temperature of your IDE or SCSI 
hard drive (that support this feature) by reading S.M.A.R.T.
information. Only modern hard drives have a temperature sensor.

%prep
%setup -q -n %{name}-%{version}-%{betarel}
cp -p %{SOURCE2} ./hddtemp.init

%build
%configure  --with-db-path=%{_sysconfdir}/hddtemp.db
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d %{buildroot}%{_sysconfdir}
%{__install} -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/hddtemp.db
%{__install} -Dpm 755 hddtemp.init %{buildroot}%{_initrddir}/hddtemp
%{__install} -Dpm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/hddtemp
%{__install} -dm 755 %{buildroot}%{_bindir}
%{__ln_s} consolehelper %{buildroot}%{_bindir}/hddtemp
%{__install} -Dpm 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/pam.d/hddtemp
%{__install} -Dpm 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/security/console.apps/hddtemp

%makeinstall

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%_post_service hddtemp

%preun
%_preun_service hddtemp

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README TODO contribs
%config(noreplace) %{_sysconfdir}/%{name}.db
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_initrddir}/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}*

%changelog
* Tue Mar 15 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.3-0.beta12.2mdk
- update hddtemp.db
- remove suid bit
- add init script, config file and pam/consolehelper from fedora
- add gettext into buildrequires

* Thu Feb 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3-0.beta12.1mdk
- 0.3-beta12
- update url
- update hddtemp.db
- don't ship license file as it's GPL

* Thu Mar 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3-0.beta11.1mdk
- 0.3-beta11

* Sat Aug 30 2003 Ben Reser <ben@reser.org> 0.3-0.beta8.2mdk
- use right path for hddtemp.db (CLOSES BUG 5047)

* Fri Aug 29 2003 Ben Reser <ben@reser.org> 0.3-0.beta8.1mdk
- 0.3.0-beta8
- macroize
- rm buildroot in %%install not %%prep
- updated hddtemp.db

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3-0.beta7.2mdk
- rebuild

* Mon Jul 07 2003 Ben Reser <ben@reser.org> 0.3-0.beta7.1mdk
- 0.3-beta7
- Updated hddtemp.db
- Fixed typo in description (found by Vincent Meyer)
- Updated description to mention SCSI since it supposedly
  supports SCSI drives now.
- Updated URL
- Redo build since it now has a configure script.
- Add i18n files.
- Add ChangeLog files to docs.

* Wed Apr 30 2003 Ben Reser <ben@reser.org> 0.3-0.beta6.1mdk
- 0.3-beta6
- Updated hddtemp.db
- Remove enoent patch, integrated upstream

* Sat Mar 08 2003 Ben Reser <ben@reser.org> 0.3-0.beta4.1mdk
- 0.3-beta4
- Updated hddtemp.db

* Fri Jan 24 2003 Ben Reser <ben@reser.org> 0.3-0.beta3.1mdk
- 0.3-beta3

* Mon Jan 13 2003 Ben Reser <ben@reser.org> 0.3-0.beta2.2mdk
- Make hddtemp setuid so users can use it.  Useful for using
  the gkrellm plugin.

* Sun Jan 12 2003 Ben Reser <ben@reser.org> 0.3-0.beta2.1mdk
- First package built for Mandrake 9.0

